package com.yushu.system.mapper;

import com.yushu.system.domain.SysMailTemplate;
import java.util.List;

/**
 * 邮件模板Mapper接口
 * 
 * @author yushu
 * @date 2024-12-13
 */
public interface SysMailTemplateMapper {
    
    /**
     * 查询邮件模板
     */
    SysMailTemplate selectSysMailTemplateByTemplateId(Long templateId);

    /**
     * 根据模板代码查询
     */
    SysMailTemplate selectSysMailTemplateByCode(String templateCode);

    /**
     * 查询邮件模板列表
     */
    List<SysMailTemplate> selectSysMailTemplateList(SysMailTemplate sysMailTemplate);

    /**
     * 新增邮件模板
     */
    int insertSysMailTemplate(SysMailTemplate sysMailTemplate);

    /**
     * 修改邮件模板
     */
    int updateSysMailTemplate(SysMailTemplate sysMailTemplate);

    /**
     * 删除邮件模板
     */
    int deleteSysMailTemplateByTemplateId(Long templateId);

    /**
     * 批量删除邮件模板
     */
    int deleteSysMailTemplateByTemplateIds(Long[] templateIds);

    /**
     * 校验模板代码是否唯一
     */
    SysMailTemplate checkTemplateCodeUnique(String templateCode);
}
